org.jfree.chart.axis

## Class QuarterDateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - org.jfree.chart.axis.QuarterDateFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class QuarterDateFormat
    extends java.text.DateFormat
    implements java.lang.Cloneable, java.io.Serializable

A formatter that formats dates to show the year and quarter (for example, '2004 IV' for the last quarter of 2004.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.text.DateFormat

`java.text.DateFormat.Field`

### Field Summary

Fields
`static java.lang.String[]` `GREEK_QUARTERS` Symbols for greek numbered quarters.
`static java.lang.String[]` `REGULAR_QUARTERS` Symbols for regular quarters.
`static java.lang.String[]` `ROMAN_QUARTERS` Symbols for roman numbered quarters.

### Fields inherited from class java.text.DateFormat

`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

### Constructor Summary

Constructors
Constructor and Description
`QuarterDateFormat()` Creates a new instance for the default time zone.
`QuarterDateFormat(java.util.TimeZone zone)` Creates a new instance for the specified time zone.
`QuarterDateFormat(java.util.TimeZone zone, java.lang.String[] quarterSymbols)` Creates a new instance for the specified time zone.
`QuarterDateFormat(java.util.TimeZone zone, java.lang.String[] quarterSymbols, boolean quarterFirst)` Creates a new instance for the specified time zone.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this formatter for equality with an arbitrary object.
`java.lang.StringBuffer` `format(java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition)` Formats the given date.
`java.util.Date` `parse(java.lang.String source, java.text.ParsePosition pos)` Parses the given string (not implemented).

### Methods inherited from class java.text.DateFormat

`clone, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

### Methods inherited from class java.text.Format

`format, formatToCharacterIterator, parseObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REGULAR_QUARTERS

    public static final java.lang.String[] REGULAR_QUARTERS

Symbols for regular quarters.

#### ROMAN_QUARTERS

    public static final java.lang.String[] ROMAN_QUARTERS

Symbols for roman numbered quarters.

#### GREEK_QUARTERS

    public static final java.lang.String[] GREEK_QUARTERS

Symbols for greek numbered quarters.

Since:
  1.0.6

### Constructor Detail

#### QuarterDateFormat

    public QuarterDateFormat()

Creates a new instance for the default time zone.

#### QuarterDateFormat

    public QuarterDateFormat(java.util.TimeZone zone)

Creates a new instance for the specified time zone.

Parameters:
  `zone` - the time zone (`null` not permitted).

#### QuarterDateFormat

    public QuarterDateFormat(java.util.TimeZone zone,
                     java.lang.String[] quarterSymbols)

Creates a new instance for the specified time zone.

Parameters:
  `zone` - the time zone (`null` not permitted).
  `quarterSymbols` - the quarter symbols.

#### QuarterDateFormat

    public QuarterDateFormat(java.util.TimeZone zone,
                     java.lang.String[] quarterSymbols,
                     boolean quarterFirst)

Creates a new instance for the specified time zone.

Parameters:
  `zone` - the time zone (`null` not permitted).
  `quarterSymbols` - the quarter symbols.
  `quarterFirst` - a flag that controls whether the quarter or the year is displayed first.
Since:
  1.0.6

### Method Detail

#### format

    public java.lang.StringBuffer format(java.util.Date date,
                                java.lang.StringBuffer toAppendTo,
                                java.text.FieldPosition fieldPosition)

Formats the given date.

Specified by:
  `format` in class `java.text.DateFormat`
Parameters:
  `date` - the date.
  `toAppendTo` - the string buffer.
  `fieldPosition` - the field position.
Returns:
  The formatted date.

#### parse

    public java.util.Date parse(java.lang.String source,
                       java.text.ParsePosition pos)

Parses the given string (not implemented).

Specified by:
  `parse` in class `java.text.DateFormat`
Parameters:
  `source` - the date string.
  `pos` - the parse position.
Returns:
  `null`, as this method has not been implemented.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this formatter for equality with an arbitrary object.

Overrides:
  `equals` in class `java.text.DateFormat`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.